@import url('https://fonts.googleapis.com/css2?family=Irish+Grover&family=Orbitron:wght@400..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    color: white;
    font-weight: 600;
}

body{
    background: url('https://i.pinimg.com/1200x/ea/b8/16/eab816ed644f6b70ff069f04e731fb26.jpg');
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;

}

body::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.15);
    backdrop-filter: blur(5px);
}

/*UTILITIES*/
.regular-txt{
    font-weight: 400;
}
/*END UTILITIES*/

.main-container{
    width: 300px;
    height: 496px;
    z-index: 1;
    background: linear-gradient(to top,rgba(0,0,0,0.15)),
    rgba(255,255,255,0.15);
    border-radius: 12px;
    backdrop-filter: blur(100px);
    padding: 20px;
}

/* INPUT CONTAINER */
.input-container{
    position: relative;
    margin-bottom: 25px;

}
.city-input{
    width: 100%;
    padding: 10px 16px;
    border-radius: 99px;
    border: 3px solid transparent;
    background: rgba(0,0,0,0.15);
    outline: none;
    font-weight: 500;
    transition: 0.25s border;
    padding-right: 45px;
}

.city-input:focus{
    border:3px solid rgba(0,0,0,0.15);
}

.city-input::placeholder{
    color: rgba(255,255,255,0.75);
}

.search-btn{
    position: absolute;
    right: 16px;
    top:50%;
    transform: translateY(-50%);
    background: none;
    display: flex;
    border: none;
    cursor: pointer;
}

/* END INPUT CONTAINER */
/* SECTION : WEATHER INFO */
.weather-info{
    display: flex;
    flex-direction: column;
    gap: 25px;
    
}

.location-date-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.location{
    display: flex;
    align-items: center;
    gap: 6px;
}
.weather-summary-img{
    width: 80px;
    height: 80px;
    margin: 6px;
}

.weather-summary-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.weather-summary-info{
    text-align: end;
}

.weather-conditions-container{
    display: flex;
    justify-content: space-between;
}

.condition-item{
    display: flex;
    align-items: center;
    gap: 6px;
}

.condition-icon span{
    font-size: 30px;
}

.forecast-items-container{
    display: flex;
    gap: 15px;
    overflow: scroll;
    padding-bottom: 12px;
}

.forecast-items-container::-webkit-scrollbar{
    height: 8px;
}

.forecast-items-container::-webkit-scrollbar-track{
    background: rgba(0,0,0,0.1);
    border-radius: 99px;

}

.forecast-items-container::-webkit-scrollbar-thumb{
    background: rgba(0,0,0,0.15);
    border-radius: 99px;
}
.forecast-item{
    min-width: 70px;
    background: rgba(0,0,0,0.1);
    display: flex;
    flex-direction: column;
    gap: 6px;
    padding: 10px;
    align-items: center;
    border-radius: 12px;
    transition: 0.3s background ;
}

.forecast-item:hover{
    background: rgba(255,255,255,0.15);
}

.forecast-item-img{
    width: 35px;
    height: 35px;
}


/*END SECTION : WEATHER INFO */

/* SECTION MESSAGE */

.search-city-section-message{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 15px;
    margin-top: 25%;
}

.message-img{
    height: 180px;
    width:fit-content;
}

.not-found-section-message {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
}
.message-img {
    width: 200px;
    margin-bottom: 20px;
}

/*END SECTION MESSAGE */